Bug 802933 - freetype-2.4.9 is available
freetype-2.4.9 is available
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-03-13 14:52 EDT by Upstream Release Monitoring
Modified: 2012-04-03 18:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-03 18:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-03-13 14:52:29 EDT
Latest upstream release: 2.4.9
Current version in Fedora Rawhide: 2.4.8
URL: http://sourceforge.net/api/file/index/project-name/freetype/mtime/desc/limit/20/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
Comment 1 Account closed by user 2012-03-15 10:04:32 EDT
2.4.9 is mainly a security release, fixing many potential vulnerabilities. All users should upgrade.

CHANGES BETWEEN 2.4.8 and 2.4.9


    - Another round of fixes to better handle invalid fonts.   Many of
      them are vulnerabilities  (see CVE-2012-1126 up to CVE-2012-1144
      and SA48320) so all users should upgrade.


    - The `ENCODING -1 <n>' format of BDF fonts is now supported.

    - For BDF fonts,  support for the whole Unicode encoding range has
      been added.

    - Better TTF support for x_ppem != y_ppem.

    - `FT_Get_Advances' sometimes returned bogus values.

    - The  demo  programs  no  longer  recognize  and  handle  default
      suffixes; you now have to always specify the complete font name.

    - Better rendering and LCD mode cycling added to ftview.

Note You need to log in before you can comment on or make changes to this bug.